GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Classes | Enumerations | Variables
gridfire::partition Namespace Reference

## Namespaces
namespace | record

## Classes
class | CompositePartitionFunction
| Combines multiple PartitionFunction instances into a single composite strategy. More...
class | GroundStatePartitionFunction
| Partition function implementation for nuclear ground states. More...
class | PartitionFunction
| Abstract interface for evaluating nuclear partition functions. More...
class | RauscherThielemannPartitionFunction
| Partition function using Rauscher-Thielemann tabulated normalized G-values. More...

## Enumerations
enum | BasePartitionType { RauscherThielemann , GroundState }
| Enumerates available partition function implementations. More...

## Variables
std::unordered_map< BasePartitionType, std::string > | basePartitionTypeToString
| Mapping from BasePartitionType enum to human-readable string.
std::unordered_map< std::string, BasePartitionType > | stringToBasePartitionType
| Mapping from string to BasePartitionType enum.
static constexpr std::array< double, 24 > | RT_TEMPERATURE_GRID_T9

## Enumeration Type Documentation

## ◆ BasePartitionType

enum gridfire::partition::BasePartitionType

Enumerates available partition function implementations.

RauscherThielemann: Uses tabulated normalized G-values and linear interpolation. GroundState: Uses ground state spin (J) to compute partition function as 2J+1.

Enumerator
RauscherThielemann | Rauscher-Thielemann partition function.
GroundState | Ground state partition function.

## Variable Documentation

## ◆ basePartitionTypeToString

std::unordered_map<BasePartitionType, std::string> gridfire::partition::basePartitionTypeToString
| inline

Initial value:
= {
{RauscherThielemann, "RauscherThielemann"},
{GroundState, "GroundState"}
}
gridfire::partition::RauscherThielemann
@ RauscherThielemann
Rauscher-Thielemann partition function.
Definition partition_types.h:16
gridfire::partition::GroundState
@ GroundState
Ground state partition function.
Definition partition_types.h:17

Mapping from BasePartitionType enum to human-readable string.

Used for logging, reporting, or serialization. Ensure that all enum values are represented in this map.

Precondition
  Contains entries for all values of BasePartitionType.

Postcondition
  Can convert BasePartitionType to corresponding string.

## ◆ RT_TEMPERATURE_GRID_T9

std::array<double, 24> gridfire::partition::RT_TEMPERATURE_GRID_T9
| static constexpr

Initial value:
= {
0.01, 0.15, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0, 1.5,
2.0, 2.5, 3.0, 3.5, 4.0, 4.5, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0
}

## ◆ stringToBasePartitionType

std::unordered_map<std::string, BasePartitionType> gridfire::partition::stringToBasePartitionType
| inline

Initial value:
= {
{"RauscherThielemann", RauscherThielemann},
{"GroundState", GroundState}
}

Mapping from string to BasePartitionType enum.

Used for parsing configuration or user input. Strings must match exactly to one of the defined partition types.

Precondition
  Uses keys that exactly match the outputs of basePartitionTypeToString.

Postcondition
  Can convert valid string identifiers back to BasePartitionType.

Exceptions

  std::out_of_range | if accessed with a non-existing key via at().